TEMPLATE = app
TARGET = desq-settings-daemon
INCLUDEPATH += .

QT += dbus

# Input
HEADERS += SettingsDaemon.hpp
HEADERS += SettingsAdaptor.hpp

SOURCES += Main.cpp
SOURCES += SettingsDaemon.cpp
SOURCES += SettingsAdaptor.cpp

# Resources
RESOURCES += data/data.qrc

# Silent compilation
CONFIG += silent

# Build location
BUILD_PREFIX = $$(DESQ_BUILD_DIR)

isEmpty( BUILD_PREFIX ) {
	BUILD_PREFIX = ./.build
}

MOC_DIR 	= $$BUILD_PREFIX/SettingsDaemon/moc
OBJECTS_DIR = $$BUILD_PREFIX/SettingsDaemon/obj
RCC_DIR		= $$BUILD_PREFIX/SettingsDaemon/qrc
UI_DIR      = $$BUILD_PREFIX/SettingsDaemon/uic

unix {
	isEmpty(PREFIX) {
		PREFIX = /usr
	}
	BINDIR = $$PREFIX/libexec/desq/

	INSTALLS += target
	target.path = $$BINDIR
}
